# tres/Scripts/tcompfiles.cl
# January 11, 2008
# By Doug Mink

# TCOMPFILES - Make files with lists of COMP images split by aperture size, fiber(s), and binning

procedure tcompfiles (images)

string  images="*.fits"       {prompt="Images to check"}

bool    verbose=yes     {prompt="Print process progress (y or n)"}

begin

    string ims
    bool vb

    ims = images
    vb = verbose

# Largest fiber comparison lamp images
    if (!access ("compl12.list"))
	trslist (ims,fibkey="CCN",binning=1,fibsize=3.2,outfile="compl12.list",verbose=vb)
    if (!access ("complb12.list"))
	trslist (ims,fibkey="CCN",binning=2,fibsize=3.2,outfile="complb12.list",verbose=vb)
    if (!access ("compl3.list"))
	trslist (ims,fibkey="NNC",binning=1,fibsize=3.2,outfile="compl3.list",verbose=vb)
    if (!access ("complb3.list"))
	trslist (ims,fibkey="NNC",binning=2,fibsize=3.2,outfile="complb3.list",verbose=vb)

# Medium fiber comparison lamp images
    if (!access ("compm12.list"))
	trslist (ims,fibkey="CCN",binning=1,fibsize=2.3,outfile="compm12.list",verbose=vb)
    if (!access ("compmb12.list"))
	trslist (ims,fibkey="CCN",binning=2,fibsize=2.3,outfile="compmb12.list",verbose=vb)
    if (!access ("compm3.list"))
	trslist (ims,fibkey="NNC",binning=1,fibsize=2.3,outfile="compm3.list",verbose=vb)
    if (!access ("compmb3.list"))
	trslist (ims,fibkey="NNC",binning=2,fibsize=2.3,outfile="compmb3.list",verbose=vb)

# Small fiber comparison lamp images
    if (!access ("comps12.list"))
	trslist (ims,fibkey="CCN",binning=1,fibsize=1.4,outfile="comps12.list",verbose=vb)
    if (!access ("compsb12.list"))
	trslist (ims,fibkey="CCN",binning=2,fibsize=1.4,outfile="compsb12.list",verbose=vb)
    if (!access ("comps3.list"))
	trslist (ims,fibkey="NNC",binning=1,fibsize=1.4,outfile="comps3.list",verbose=vb)
    if (!access ("compsb3.list"))
	trslist (ims,fibkey="NNC",binning=2,fibsize=1.4,outfile="compsb3.list",verbose=vb)

end

# Jan 11 2008	New task
